function [l1, h, s]= fram3_down_hmwf(l,F,W)
%one step of 3-channel frame decomposition of a signal or an array of row signals 'l'

%F and W --transform filters (produced by function 'hmwf.m')
%l1, h --the low-, high-pass transform coefficients
%s--the  band-pass transform coefficients

 sq=sqrt(2);

[e o]=evod(l);
fe=fft(e,[],2);
fo=fft(o,[],2);

% %%%%%%%%%%%%%%%%%%%%
 fl1=(fe+fo.*F)/sq;
   l1=real(ifft(fl1,[],2));
    fh=(fe-fo.*F)/sq;
   h=real(ifft(fh,[],2));
    fs=fo.*W/sq;
    s=real(ifft(fs,[],2));
% Copyright (c) 2012. Valery A. Zheludev
